org.apache.ignite.internal.processors.cache.query

## Interface QueryCursorEx.Consumer<T>

Enclosing interface:
  QueryCursorEx<T>

    public static interface QueryCursorEx.Consumer<T>

Query value consumer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `consume(T val)` Consume value.

### Method Detail

#### consume

    void consume(T val)
          throws IgniteCheckedException

Consume value.

Parameters:
  `val` - Value.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020